# minigest

Un mini gestionale pensato per tenere sotto d'occhio i conti di un'azienda

## Installazione

Per installare minigest basta dare il seguente comando

```
pip install minigest
```

oppure

```
poetry add minigest
```

### Aggiunta delle applicazioni al progetto

minigest è una collezione di applicazioni, quindi per installarlo bisogna richiamare tutte le applicazioni create oppure solo quelle che desiderate.

Per farlo basta importare la lista di applicazioni fornita da minigest stesso

```python
from minigest import settings

INSTALLED_APPS = [
    "django.contrib.admin",
    "django.contrib.auth",
    "django.contrib.contenttypes",
    "django.contrib.sessions",
    "django.contrib.messages",
    "django.contrib.staticfiles",
    "rest_framework",
    "django_filters",
    *settings.INSTALLED_APPS,
]
```

oppure

```python
INSTALLED_APPS = [
    "django.contrib.admin",
    "django.contrib.auth",
    "django.contrib.contenttypes",
    "django.contrib.sessions",
    "django.contrib.messages",
    "django.contrib.staticfiles",

    "minigest.anagrafica",
    "minigest.docfisc",
    "minigest.fisco",
    "minigest.pos",
    "minigest.magazzino",
]
```

### Altre dipendenze

-   Pillow
-   djangorestframework
-   markdown
-   django-filter

## Demo

Per avviare la demo basta clonare il progetto minigest sul proprio computer, entrare nella cartella **webapp** e dare il seguente comando

```
python manage.py runserver
```

Si avvierà un server virtuale da cui si potrà visitare il sito demo.
