from rest_framework import filters, viewsets

from ..models import SoggettoFiscale
from ..serializers import SoggettoFiscaleSerializer


class SoggettoFiscaleViewSet(viewsets.ModelViewSet):
    queryset = SoggettoFiscale.objects.all()
    serializer_class = SoggettoFiscaleSerializer
    filter_backends = [filters.SearchFilter]
    search_fields = [
        "denominazione",
        "nome",
        "cognome",
        "id_fiscale_iva_codice",
        "codice_fiscale",
    ]
