from django.contrib import admin

from ..models.chiusura import (
    ChiusuraAnnulloMerce,
    ChiusuraFiscale,
    ChiusuraRepartoIva,
    ChiusuraResoMerce,
)


class RepartoIvaAdmin(admin.StackedInline):
    model = ChiusuraRepartoIva
    extra = 0


class ResoMerceAdmin(admin.StackedInline):
    model = ChiusuraResoMerce
    extra = 0


class AnnulloMerceAdmin(admin.StackedInline):
    model = ChiusuraAnnulloMerce
    extra = 0


@admin.register(ChiusuraFiscale)
class ChiusuraFiscaleAdmin(admin.ModelAdmin):
    inlines = [RepartoIvaAdmin, ResoMerceAdmin, AnnulloMerceAdmin]
