# Generated by Django 3.2.10 on 2021-12-20 11:02

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("pos", "0001_initial"),
        ("anagrafica", "0002_initial"),
        ("fisco", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="ChiusuraFiscale",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("data", models.DateField()),
                ("numero_documenti_commerciali", models.IntegerField(default=0)),
                (
                    "cassa",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="chiusure",
                        to="pos.cassa",
                    ),
                ),
            ],
            options={
                "verbose_name_plural": "Chiusure Fiscali",
            },
        ),
        migrations.CreateModel(
            name="Fattura",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("data", models.DateField()),
                (
                    "data_sdi",
                    models.DateField(
                        help_text="Data di ricezione/consegna da parte del Sistema di Interscambio"
                    ),
                ),
                ("numero", models.CharField(max_length=20)),
                (
                    "art_73",
                    models.BooleanField(
                        blank=True,
                        default=None,
                        help_text="Indica se il documento è stato emesso secondo modalità e termini stabiliti con decreto ministeriale ai sensi dell'articolo 73 del DPR 633/72 (ciò consente al cedente/prestatore l'emissione nello stesso anno di più documenti aventi stesso numero)",
                        null=True,
                    ),
                ),
                (
                    "importo_totale_documento",
                    models.DecimalField(decimal_places=2, max_digits=19),
                ),
                (
                    "cliente",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="fatture_acquisto",
                        to="anagrafica.soggettofiscale",
                    ),
                ),
                (
                    "fornitore",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="fatture_vendita",
                        to="anagrafica.soggettofiscale",
                    ),
                ),
            ],
            options={
                "verbose_name_plural": "Fatture",
            },
        ),
        migrations.CreateModel(
            name="TipoDocumento",
            fields=[
                (
                    "codice",
                    models.CharField(
                        max_length=10, primary_key=True, serialize=False, unique=True
                    ),
                ),
                ("descrizione", models.TextField(help_text="Descrizione del codice")),
            ],
            options={
                "verbose_name": "Tipo di Documento",
                "verbose_name_plural": "Tipi di Documento",
            },
        ),
        migrations.CreateModel(
            name="FatturaRiepilogoIVA",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "aliquota_iva",
                    models.DecimalField(
                        decimal_places=2, help_text="Esempio 22", max_digits=19
                    ),
                ),
                (
                    "spese_accessorie",
                    models.DecimalField(
                        blank=True, decimal_places=2, max_digits=19, null=True
                    ),
                ),
                (
                    "arrotondamento",
                    models.DecimalField(
                        blank=True, decimal_places=2, max_digits=19, null=True
                    ),
                ),
                (
                    "imponibile_importo",
                    models.DecimalField(decimal_places=2, max_digits=19),
                ),
                ("imposta", models.DecimalField(decimal_places=2, max_digits=19)),
                (
                    "riferimento_normativo",
                    models.CharField(blank=True, max_length=100, null=True),
                ),
                (
                    "esigibilita_iva",
                    models.ForeignKey(
                        blank=True,
                        default=None,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="fisco.esigibilitaiva",
                    ),
                ),
                (
                    "fattura",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="riepiloghi_iva",
                        to="docfisc.fattura",
                    ),
                ),
                (
                    "natura",
                    models.ForeignKey(
                        blank=True,
                        default=None,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="fisco.naturaoperazioneiva",
                    ),
                ),
            ],
            options={
                "verbose_name": "Riepilogo IVA",
                "verbose_name_plural": "Riepiloghi IVA",
            },
        ),
        migrations.CreateModel(
            name="FatturaRata",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "beneficiario",
                    models.CharField(
                        blank=True,
                        help_text="Da valorizzare solo se diverso dal fornitore",
                        max_length=200,
                        null=True,
                    ),
                ),
                ("data_scadenza", models.DateField(blank=True, null=True)),
                (
                    "importo_pagamento",
                    models.DecimalField(decimal_places=2, max_digits=19),
                ),
                (
                    "condizioni_pagamento",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="fisco.condizionepagamento",
                    ),
                ),
                (
                    "fattura",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="rate",
                        to="docfisc.fattura",
                    ),
                ),
                (
                    "modalita_pagamento",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="fisco.modalitapagamento",
                    ),
                ),
            ],
            options={
                "verbose_name": "Rata Fattura",
                "verbose_name_plural": "Rate Fattura",
            },
        ),
        migrations.AddField(
            model_name="fattura",
            name="tipo_documento",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT, to="docfisc.tipodocumento"
            ),
        ),
        migrations.CreateModel(
            name="ChiusuraResoMerce",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("aliquota_iva", models.DecimalField(decimal_places=2, max_digits=19)),
                (
                    "corrispettivo",
                    models.DecimalField(
                        decimal_places=2,
                        help_text="Il totale del corrispettivo",
                        max_digits=19,
                    ),
                ),
                (
                    "chiusura",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="resi",
                        to="docfisc.chiusurafiscale",
                    ),
                ),
            ],
            options={
                "verbose_name": "Reso Merce",
                "verbose_name_plural": "Resi Merce",
            },
        ),
        migrations.CreateModel(
            name="ChiusuraRepartoIva",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("aliquota_iva", models.DecimalField(decimal_places=2, max_digits=19)),
                (
                    "corrispettivo",
                    models.DecimalField(
                        decimal_places=2,
                        help_text="Il totale del corrispettivo",
                        max_digits=19,
                    ),
                ),
                (
                    "chiusura",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="reparti_iva",
                        to="docfisc.chiusurafiscale",
                    ),
                ),
            ],
            options={
                "verbose_name": "Reparto IVA",
                "verbose_name_plural": "Reparti IVA",
            },
        ),
        migrations.CreateModel(
            name="ChiusuraAnnulloMerce",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("aliquota_iva", models.DecimalField(decimal_places=2, max_digits=19)),
                (
                    "corrispettivo",
                    models.DecimalField(
                        decimal_places=2,
                        help_text="Il totale del corrispettivo",
                        max_digits=19,
                    ),
                ),
                (
                    "chiusura",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="annulli",
                        to="docfisc.chiusurafiscale",
                    ),
                ),
            ],
            options={
                "verbose_name": "Annullo Merce",
                "verbose_name_plural": "Annulli Merce",
            },
        ),
    ]
