from rest_framework import serializers

from ...models import Fattura
from .rata import FatturaRataSerializer
from .riepilogo import FatturaRiepilogoIVASerializer


class FatturaSerializer(serializers.ModelSerializer):
    riepiloghi_iva = FatturaRiepilogoIVASerializer(many=True, read_only=True)
    rate = FatturaRataSerializer(many=True, read_only=True)

    class Meta:
        model = Fattura
        fields = [
            "id",
            "fornitore",
            "cliente",
            "tipo_documento",
            "data",
            "data_sdi",
            "numero",
            "art_73",
            "importo_totale_documento",
            "riepiloghi_iva",
            "rate",
        ]
