from django_filters.rest_framework import DjangoFilterBackend
from rest_framework import filters, viewsets

from ..models import ChiusuraFiscale
from ..serializers import ChiusuraFiscaleSerializer


class ChiusuraFiscaleViewSet(viewsets.ModelViewSet):
    queryset = ChiusuraFiscale.objects.all()
    serializer_class = ChiusuraFiscaleSerializer
    filter_backends = [DjangoFilterBackend, filters.SearchFilter]
    filterset_fields = ["cassa"]
    search_fields = ["^data"]
