from django_filters.rest_framework import DjangoFilterBackend
from rest_framework import filters, viewsets

from ..models import Fattura
from ..serializers import FatturaSerializer


class FatturaViewSet(viewsets.ModelViewSet):
    queryset = Fattura.objects.all()
    serializer_class = FatturaSerializer
    filter_backends = [DjangoFilterBackend, filters.SearchFilter]
    filterset_fields = ["fornitore", "cliente"]
    search_fields = ["^data"]
