from django.contrib import admin

from ...models import tributo
from .erario import SezioneErarioAdmin
from .imu import SezioneImuTributoLocaleAdmin
from .inail import SezioneInailAdmin


class SezioneInpsAdmin(admin.TabularInline):
    model = tributo.SezioneInps
    extra = 0


class SezioneRegioneAdmin(admin.TabularInline):
    model = tributo.SezioneRegione
    extra = 0


class SezioneAltroEnteAdmin(admin.TabularInline):
    model = tributo.SezioneAltroEnte
    extra = 0


@admin.register(tributo.Tributo)
class TributoAdmin(admin.ModelAdmin):
    list_display = ("data_scadenza", "soggetto_fiscale", "descrizione")
    ordering = ("-data_scadenza",)
    search_fields = ("data_scadenza",)

    inlines = [
        SezioneErarioAdmin,
        SezioneInpsAdmin,
        SezioneRegioneAdmin,
        SezioneImuTributoLocaleAdmin,
        SezioneInailAdmin,
        SezioneAltroEnteAdmin,
    ]
