# Generated by Django 3.2.10 on 2021-12-20 11:02

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("anagrafica", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="CondizionePagamento",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("codice", models.CharField(max_length=10, unique=True)),
                ("descrizione", models.TextField(help_text="Descrizione del codice")),
            ],
            options={
                "verbose_name": "Condizione di pagamento",
                "verbose_name_plural": "Condizioni di pagamento",
            },
        ),
        migrations.CreateModel(
            name="EsigibilitaIVA",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("codice", models.CharField(max_length=10, unique=True)),
                ("descrizione", models.TextField(help_text="Descrizione del codice")),
            ],
            options={
                "verbose_name": "Esigibilità IVA",
                "verbose_name_plural": "Esigibilità IVA",
            },
        ),
        migrations.CreateModel(
            name="ModalitaPagamento",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("codice", models.CharField(max_length=10, unique=True)),
                ("descrizione", models.TextField(help_text="Descrizione del codice")),
            ],
            options={
                "verbose_name": "Modalità di Pagamento",
                "verbose_name_plural": "Modalità di Pagamento",
            },
        ),
        migrations.CreateModel(
            name="NaturaOperazioneIVA",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("codice", models.CharField(max_length=10, unique=True)),
                ("descrizione", models.TextField(help_text="Descrizione del codice")),
            ],
            options={
                "verbose_name_plural": "Natura Operazioni IVA",
            },
        ),
        migrations.CreateModel(
            name="RegimeFiscale",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("codice", models.CharField(max_length=10, unique=True)),
                ("descrizione", models.TextField(help_text="Descrizione del codice")),
            ],
            options={
                "verbose_name": "Regime Fiscale",
                "verbose_name_plural": "Regimi Fiscali",
            },
        ),
        migrations.CreateModel(
            name="Tributo",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("data_scadenza", models.DateField()),
                ("descrizione", models.CharField(max_length=100)),
                (
                    "soggetto_fiscale",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="tributi",
                        to="anagrafica.soggettofiscale",
                    ),
                ),
            ],
            options={
                "verbose_name_plural": "Tributi",
            },
        ),
        migrations.CreateModel(
            name="SezioneRegione",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "debito",
                    models.DecimalField(
                        decimal_places=2,
                        max_digits=19,
                        verbose_name="importo a debito versato",
                    ),
                ),
                (
                    "credito",
                    models.DecimalField(
                        decimal_places=2,
                        default=0.0,
                        max_digits=19,
                        verbose_name="importo a credito compensato",
                    ),
                ),
                (
                    "regione",
                    models.CharField(max_length=2, verbose_name="codice regione"),
                ),
                (
                    "tributo",
                    models.CharField(max_length=10, verbose_name="codice tributo"),
                ),
                (
                    "riferimento",
                    models.CharField(
                        max_length=10, verbose_name="rateazione/mese rif."
                    ),
                ),
                (
                    "anno",
                    models.CharField(max_length=2, verbose_name="anno di riferimento"),
                ),
                (
                    "imposta",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="sezione_regioni",
                        to="fisco.tributo",
                    ),
                ),
            ],
            options={
                "verbose_name": "Sezione Regioni",
                "verbose_name_plural": "Sezione Regioni",
            },
        ),
        migrations.CreateModel(
            name="SezioneInps",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "debito",
                    models.DecimalField(
                        decimal_places=2,
                        max_digits=19,
                        verbose_name="importo a debito versato",
                    ),
                ),
                (
                    "credito",
                    models.DecimalField(
                        decimal_places=2,
                        default=0.0,
                        max_digits=19,
                        verbose_name="importo a credito compensato",
                    ),
                ),
                ("sede", models.CharField(max_length=10, verbose_name="codice sede")),
                (
                    "causale",
                    models.CharField(max_length=10, verbose_name="causale contributo"),
                ),
                (
                    "matricola",
                    models.CharField(
                        max_length=20,
                        verbose_name="matricola INPS/codice INPS/filiale azienda",
                    ),
                ),
                ("periodo_da", models.DateField()),
                ("periodo_a", models.DateField()),
                (
                    "imposta",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="sezione_inps",
                        to="fisco.tributo",
                    ),
                ),
            ],
            options={
                "verbose_name": "Sezione INPS",
                "verbose_name_plural": "Sezione INPS",
            },
        ),
        migrations.CreateModel(
            name="SezioneInail",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "debito",
                    models.DecimalField(
                        decimal_places=2,
                        max_digits=19,
                        verbose_name="importo a debito versato",
                    ),
                ),
                (
                    "credito",
                    models.DecimalField(
                        decimal_places=2,
                        default=0.0,
                        max_digits=19,
                        verbose_name="importo a credito compensato",
                    ),
                ),
                ("sede", models.CharField(max_length=10, verbose_name="codice sede")),
                ("ditta", models.CharField(max_length=20, verbose_name="codice ditta")),
                ("cc", models.CharField(max_length=5, verbose_name="C.C.")),
                (
                    "riferimento",
                    models.CharField(
                        max_length=10, verbose_name="numero di riferimento"
                    ),
                ),
                ("causale", models.CharField(max_length=5)),
                (
                    "imposta",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="sezione_inail",
                        to="fisco.tributo",
                    ),
                ),
            ],
            options={
                "verbose_name": "Sezione INAIL",
                "verbose_name_plural": "Sezione INAIL",
            },
        ),
        migrations.CreateModel(
            name="SezioneImuTributoLocale",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "debito",
                    models.DecimalField(
                        decimal_places=2,
                        max_digits=19,
                        verbose_name="importo a debito versato",
                    ),
                ),
                (
                    "credito",
                    models.DecimalField(
                        decimal_places=2,
                        default=0.0,
                        max_digits=19,
                        verbose_name="importo a credito compensato",
                    ),
                ),
                (
                    "ente",
                    models.CharField(
                        max_length=4, verbose_name="codice ente/codice comune"
                    ),
                ),
                ("ravvedimento", models.BooleanField()),
                ("immobili_variati", models.BooleanField()),
                ("acconto", models.BooleanField()),
                ("saldo", models.BooleanField()),
                ("numero_immobili", models.IntegerField()),
                (
                    "tributo",
                    models.CharField(max_length=10, verbose_name="codice tributo"),
                ),
                (
                    "mese",
                    models.CharField(
                        max_length=10, verbose_name="rateazione/mese rif."
                    ),
                ),
                (
                    "anno",
                    models.CharField(max_length=4, verbose_name="anno di riferimento"),
                ),
                (
                    "imposta",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="sezione_imu_tributi_locali",
                        to="fisco.tributo",
                    ),
                ),
            ],
            options={
                "verbose_name": "Sezione IMU e altri tributi locali",
                "verbose_name_plural": "Sezione IMU e altri tributi locali",
            },
        ),
        migrations.CreateModel(
            name="SezioneErario",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "debito",
                    models.DecimalField(
                        decimal_places=2,
                        max_digits=19,
                        verbose_name="importo a debito versato",
                    ),
                ),
                (
                    "credito",
                    models.DecimalField(
                        decimal_places=2,
                        default=0.0,
                        max_digits=19,
                        verbose_name="importo a credito compensato",
                    ),
                ),
                (
                    "ufficio",
                    models.CharField(
                        blank=True,
                        default=None,
                        max_length=3,
                        null=True,
                        verbose_name="codice ufficio",
                    ),
                ),
                (
                    "atto",
                    models.CharField(
                        blank=True,
                        default=None,
                        max_length=11,
                        null=True,
                        verbose_name="codice atto",
                    ),
                ),
                (
                    "tributo",
                    models.CharField(max_length=10, verbose_name="codice tributo"),
                ),
                (
                    "riferimento",
                    models.CharField(
                        blank=True,
                        default=None,
                        max_length=10,
                        null=True,
                        verbose_name="rateazione/regione/prov./mese rif.",
                    ),
                ),
                (
                    "anno",
                    models.CharField(max_length=4, verbose_name="anno di riferimento"),
                ),
                (
                    "imposta",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="sezione_erario",
                        to="fisco.tributo",
                    ),
                ),
            ],
            options={
                "verbose_name": "Sezione Erario",
                "verbose_name_plural": "Sezione Erario",
            },
        ),
        migrations.CreateModel(
            name="SezioneAltroEnte",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "debito",
                    models.DecimalField(
                        decimal_places=2,
                        max_digits=19,
                        verbose_name="importo a debito versato",
                    ),
                ),
                (
                    "credito",
                    models.DecimalField(
                        decimal_places=2,
                        default=0.0,
                        max_digits=19,
                        verbose_name="importo a credito compensato",
                    ),
                ),
                ("ente", models.CharField(max_length=4, verbose_name="codice ente")),
                ("sede", models.CharField(max_length=10, verbose_name="codice sede")),
                (
                    "contributo",
                    models.CharField(max_length=10, verbose_name="causale contributo"),
                ),
                (
                    "posizione",
                    models.CharField(max_length=20, verbose_name="codice posizione"),
                ),
                (
                    "periodo_da",
                    models.DateField(verbose_name="periodo di riferimento da"),
                ),
                (
                    "periodo_a",
                    models.DateField(verbose_name="periodo di riferimento a"),
                ),
                (
                    "imposta",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="sezione_altri_enti",
                        to="fisco.tributo",
                    ),
                ),
            ],
            options={
                "verbose_name": "Sezione altri enti prevideziali e assicurativi",
                "verbose_name_plural": "Sezione altri enti prevideziali e assicurativi",
            },
        ),
    ]
