from django.db import models

from .sezione import Sezione
from .tributo import Tributo


class SezioneAltroEnte(Sezione):
    imposta = models.ForeignKey(
        Tributo, on_delete=models.CASCADE, related_name="sezione_altri_enti"
    )

    ente = models.CharField(max_length=4, verbose_name="codice ente")

    sede = models.CharField(max_length=10, verbose_name="codice sede")

    contributo = models.CharField(max_length=10, verbose_name="causale contributo")

    posizione = models.CharField(max_length=20, verbose_name="codice posizione")

    periodo_da = models.DateField(verbose_name="periodo di riferimento da")

    periodo_a = models.DateField(verbose_name="periodo di riferimento a")

    class Meta:
        verbose_name = "Sezione altri enti prevideziali e assicurativi"
        verbose_name_plural = "Sezione altri enti prevideziali e assicurativi"
