from django.db import models

from .sezione import Sezione
from .tributo import Tributo


class SezioneErario(Sezione):
    imposta = models.ForeignKey(
        Tributo, on_delete=models.CASCADE, related_name="sezione_erario"
    )
    ufficio = models.CharField(
        max_length=3, verbose_name="codice ufficio", null=True, blank=True, default=None
    )
    atto = models.CharField(
        max_length=11, verbose_name="codice atto", null=True, blank=True, default=None
    )

    tributo = models.CharField(max_length=10, verbose_name="codice tributo")
    riferimento = models.CharField(
        max_length=10,
        verbose_name="rateazione/regione/prov./mese rif.",
        null=True,
        blank=True,
        default=None,
    )
    anno = models.CharField(max_length=4, verbose_name="anno di riferimento")

    class Meta:
        verbose_name = "Sezione Erario"
        verbose_name_plural = "Sezione Erario"
