from django.db import models

from .sezione import Sezione
from .tributo import Tributo


class SezioneInail(Sezione):
    imposta = models.ForeignKey(
        Tributo, on_delete=models.CASCADE, related_name="sezione_inail"
    )

    sede = models.CharField(max_length=10, verbose_name="codice sede")
    ditta = models.CharField(max_length=20, verbose_name="codice ditta")
    cc = models.CharField(max_length=5, verbose_name="C.C.")

    riferimento = models.CharField(max_length=10, verbose_name="numero di riferimento")

    causale = models.CharField(max_length=5)

    class Meta:
        verbose_name = "Sezione INAIL"
        verbose_name_plural = "Sezione INAIL"
