from rest_framework import serializers

from ...models import Tributo
from .altro import SezioneAltroEnteSerializer
from .erario import SezioneErarioSerializer
from .imu import SezioneImuTributoLocaleSerializer
from .inail import SezioneInailSerializer
from .inps import SezioneInpsSerializer
from .regione import SezioneRegioneSerializer


class TributoSerializer(serializers.ModelSerializer):
    sezione_erario = SezioneErarioSerializer(many=True, read_only=True)
    sezione_inps = SezioneInpsSerializer(many=True, read_only=True)
    sezione_regioni = SezioneRegioneSerializer(many=True, read_only=True)
    sezione_imu_tributi_locali = SezioneImuTributoLocaleSerializer(
        many=True, read_only=True
    )
    sezione_inail = SezioneInailSerializer(many=True, read_only=True)
    sezione_altri_enti = SezioneAltroEnteSerializer(many=True, read_only=True)

    class Meta:
        model = Tributo
        fields = [
            "id",
            "data_scadenza",
            "descrizione",
            "debito",
            "credito",
            "totale",
            "sezione_erario",
            "sezione_inps",
            "sezione_regioni",
            "sezione_imu_tributi_locali",
            "sezione_inail",
            "sezione_altri_enti",
        ]
