from django_filters.rest_framework import DjangoFilterBackend
from rest_framework import filters, viewsets

from ...models import Articolo
from ...serializers import ArticoloSerializer


class ArticoloViewSet(viewsets.ModelViewSet):
    queryset = Articolo.objects.all()
    serializer_class = ArticoloSerializer
    filter_backends = [DjangoFilterBackend, filters.SearchFilter]
    filterset_fields = [
        "servizio",
    ]
    search_fields = ["=slug", "nome"]
