from django_filters.rest_framework import DjangoFilterBackend
from rest_framework import filters, viewsets

from ...models import Variante
from ...serializers import VarianteSerializer


class VarianteViewSet(viewsets.ModelViewSet):
    queryset = Variante.objects.all()
    serializer_class = VarianteSerializer
    filter_backends = [DjangoFilterBackend, filters.SearchFilter]
    filterset_fields = [
        "variante",
    ]
    search_fields = ["variante"]
