# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['minigest',
 'minigest.anagrafica',
 'minigest.anagrafica.admin',
 'minigest.anagrafica.migrations',
 'minigest.anagrafica.models',
 'minigest.anagrafica.serializers',
 'minigest.anagrafica.viewsets',
 'minigest.docfisc',
 'minigest.docfisc.admin',
 'minigest.docfisc.migrations',
 'minigest.docfisc.models',
 'minigest.docfisc.models.chiusura',
 'minigest.docfisc.models.fattura',
 'minigest.docfisc.serializers',
 'minigest.docfisc.serializers.chiusura',
 'minigest.docfisc.serializers.fattura',
 'minigest.docfisc.viewsets',
 'minigest.fisco',
 'minigest.fisco.admin',
 'minigest.fisco.admin.tributo',
 'minigest.fisco.helpers',
 'minigest.fisco.migrations',
 'minigest.fisco.models',
 'minigest.fisco.models.tributo',
 'minigest.fisco.serializers',
 'minigest.fisco.serializers.tributo',
 'minigest.fisco.urls',
 'minigest.fisco.urls_api',
 'minigest.fisco.views',
 'minigest.fisco.viewsets',
 'minigest.helpers',
 'minigest.magazzino',
 'minigest.magazzino.admin',
 'minigest.magazzino.admin.articolo',
 'minigest.magazzino.helpers',
 'minigest.magazzino.migrations',
 'minigest.magazzino.models',
 'minigest.magazzino.models.articolo',
 'minigest.magazzino.serializers',
 'minigest.magazzino.serializers.articolo',
 'minigest.magazzino.signals',
 'minigest.magazzino.viewsets',
 'minigest.magazzino.viewsets.articolo',
 'minigest.pos',
 'minigest.pos.admin',
 'minigest.pos.migrations',
 'minigest.pos.models',
 'minigest.pos.serializers',
 'minigest.pos.viewsets']

package_data = \
{'': ['*'],
 'minigest.docfisc': ['fixtures/*'],
 'minigest.fisco': ['fixtures/*', 'static/fisco/*', 'templates/fisco/*']}

install_requires = \
['Django>=3.2.9,<4.0.0',
 'Markdown>=3.3.6,<4.0.0',
 'Pillow>=8.4.0,<9.0.0',
 'django-filter>=21.1,<22.0',
 'djangorestframework>=3.12.4,<4.0.0']

setup_kwargs = {
    'name': 'minigest',
    'version': '1.1.0',
    'description': "Un mini gestionale pensato per tenere sotto d'occhio i conti di un'azienda",
    'long_description': '# minigest\n\nUn mini gestionale pensato per tenere sotto d\'occhio i conti di un\'azienda\n\n## Installazione\n\nPer installare minigest basta dare il seguente comando\n\n```\npip install minigest\n```\n\noppure\n\n```\npoetry add minigest\n```\n\n### Aggiunta delle applicazioni al progetto\n\nminigest è una collezione di applicazioni, quindi per installarlo bisogna richiamare tutte le applicazioni create oppure solo quelle che desiderate.\n\nPer farlo basta importare la lista di applicazioni fornita da minigest stesso\n\n```python\nfrom minigest import settings\n\nINSTALLED_APPS = [\n    "django.contrib.admin",\n    "django.contrib.auth",\n    "django.contrib.contenttypes",\n    "django.contrib.sessions",\n    "django.contrib.messages",\n    "django.contrib.staticfiles",\n    "rest_framework",\n    "django_filters",\n    *settings.INSTALLED_APPS,\n]\n```\n\noppure\n\n```python\nINSTALLED_APPS = [\n    "django.contrib.admin",\n    "django.contrib.auth",\n    "django.contrib.contenttypes",\n    "django.contrib.sessions",\n    "django.contrib.messages",\n    "django.contrib.staticfiles",\n\n    "minigest.anagrafica",\n    "minigest.docfisc",\n    "minigest.fisco",\n    "minigest.pos",\n    "minigest.magazzino",\n]\n```\n\n### Altre dipendenze\n\n-   Pillow\n-   djangorestframework\n-   markdown\n-   django-filter\n\n## Demo\n\nPer avviare la demo basta clonare il progetto minigest sul proprio computer, entrare nella cartella **webapp** e dare il seguente comando\n\n```\npython manage.py runserver\n```\n\nSi avvierà un server virtuale da cui si potrà visitare il sito demo.\n',
    'author': 'Davide Di Criscito',
    'author_email': 'davide.dicriscito@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/ctrlmaniac/minigest',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.8,<4.0',
}


setup(**setup_kwargs)
